Summary: Sieve plugin for dovecot
Name: dovecot-sieve-cmu
Version: 1.1.8
Release: 11%{?dist}
License: LGPL
Group: System Environment/Daemons
URL: http://www.dovecot.org/
Source0: http://dovecot.org/releases/sieve/dovecot-sieve-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: dovecot-devel >= 1.1
BuildRequires: autoconf, automake, libtool
BuildRequires: gcc-c++
BuildRequires: pkgconfig
BuildRequires: flex, bison
Requires: dovecot >= 1.1
Obsoletes: dovecot-sieve <= %{evr}

%description
Sieve is a language that can be used to create filters for electronic
mail. It owes its creation to the CMU Cyrus Project, creators of Cyrus
IMAP server.

This dovecot plugin is derived is from Cyrus IMAP v2.2.12.

%prep
%setup -q -n dovecot-sieve-%{version}

%build
# crude hack ...
perl -pi -e's,have_dovecot_libs=no,have_dovecot_libs=yes,g' configure
perl -pi -e's,dovecot_incdir=.*,dovecot_incdir=%{_includedir}/dovecot,' configure
%configure --with-dovecot=%{_includedir}/dovecot \
  INSTALL_DATA="install -c -p -m644"
# Replace -I$(dovecot_incdir)/src with -I$(dovecot_incdir)
# -I$(dovecotdir) with -I$(dovecot_incdir)
# and $(dovecotdir)/src with $(libdir)/dovecot for libraries
for f in `find . -name Makefile`
do
    mv -f $f $f.orig
    sed -e's/\-I\$(dovecot_incdir)\/src/\-I\$(dovecot_incdir)/g' \
        -e's/\-I\$(dovecotdir)/\-I\$(dovecot_incdir)/g' \
        -e's/\$(dovecotdir)\/src\(\/lib\/.*\.a\)/\$(libdir)\/dovecot\1/g' \
        < $f.orig > $f
done
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/dovecot/lda/*.a

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libexecdir}/dovecot/sievec
%{_libexecdir}/dovecot/sieved
%{_libdir}/dovecot/lda/*.so
%{_libdir}/dovecot/lda/*.la

%changelog
* Wed Jan  6 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.8-11
- Update to 1.1.8.
- Rename to dovecot-sieve-cmu.

* Thu Dec 17 2009 Angel Marin <anmar@anmar.eu.org> - 1.1.6-10
- Fix location for dovecot-config in dovecot-devel package

* Sat Jan 24 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.6-9
- Update to 1.1.6.

* Wed Jun 11 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.5-8
- Update to 1.1.5.

* Wed Apr 30 2008 Angel Marin <anmar@anmar.eu.org> - 1.1.4-7
- Update to 1.1.4

* Sat Jul 21 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.2-6
- Update to 1.0.2.

* Tue Jan 23 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.1-4
- Update to 1.0.1.

* Mon Nov  8 2006 Angel Marin <anmar@anmar.eu.org> - 1.0-3
- Update to dovecot-1.0-0_30.rc12
- Now depend on -devel (new in 1.0-0_30.rc12) instead of rebuilding
  dovecot source.
- Update to dovecot-sieve 1.0
- Remove .a files from package.

* Mon  Oct 16 2006 Angel Marin <anmar@anmar.eu.org>
- first build (dovecot-sieve 0.1-20061009) 
